Bug 46744 - mysql_upgrade fails in UCS 4.3 postup
mysql_upgrade fails in UCS 4.3 postup
Status: NEEDMOREINFO
Product: UCS
Classification: Unclassified
Component: MySQL
UCS 4.3
Other Linux
: P5 normal (vote)
: ---
Assigned To: UCS maintainers
UCS maintainers
https://help.univention.com/t/kopano-...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-26 15:31 CEST by Erik Damrose
Modified: 2018-11-27 17:38 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.086
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number: 2018081621000768
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2018-03-26 15:31:46 CEST
The MySQL/MariaDB database has to be updated when upgrading from UCS 4.2 -> 4.3. To do that, we run mysql_upgrade in postup.sh. We received a report that the run failed with the following error in the updater.log:

Looking for ‘mysql’ as: /usr/bin/mysql
Looking for ‘mysqlcheck’ as: /usr/bin/mysqlcheck
Version check failed. Got the following error when calling the ‘mysql’ command line client
ERROR 2002 (HY000): Can’t connect to local MySQL server through socket ‘/var/run/mysqld/mysqld.sock’ (2 “No such file or directory”)
FATAL ERROR: Upgrade failed

A separate call to mysql_upgrade some time later worked without error
Comment 1 Jürn Brodersen univentionstaff 2018-11-27 17:14:11 CET
I can't reproduce this.
Any more infos on this?
Comment 2 Erik Damrose univentionstaff 2018-11-27 17:38:09 CET
I could not reproduce it. From the forum thread one can guess that maybe only the mysql-server package was installed, not univention-mysql?